import request from '@/utils/request'

// 查询整车数据列表
export function listVehicleData(query) {
  return request({
    url: '/VehicleData/VehicleData/list',
    method: 'get',
    params: query
  })
}

// 查询整车数据详细
export function getVehicleData(id) {
  return request({
    url: '/VehicleData/VehicleData/' + id,
    method: 'get'
  })
}

// 新增整车数据
export function addVehicleData(data) {
  return request({
    url: '/VehicleData/VehicleData',
    method: 'post',
    data: data
  })
}

// 修改整车数据
export function updateVehicleData(data) {
  return request({
    url: '/VehicleData/VehicleData',
    method: 'put',
    data: data
  })
}

// 删除整车数据
export function delVehicleData(id) {
  return request({
    url: '/VehicleData/VehicleData/' + id,
    method: 'delete'
  })
}
